#### D.9.3.2 surfer

Procedure from library `surf.lib` (see surf_lib).

Usage:
  surfer(f); f poly

Assume:
  f defines a surface given by one equation

Return:
  nothing

Note:
  requires the external program `surfer` to be installed, to close the graphical interface just close the window of surfer

Example:

    LIB "surf.lib";
    ring rr1 = 0,(x,y,z),dp;
    // Steiner surface
    ideal J(2) = x^2*y^2+x^2*z^2+y^2*z^2-17*x*y*z;
    surfer(J(2));
    // --------------------
    surfer(x*(x2-y2)+z2);
    // E7
    surfer(x^3-x*y^3+z^2);
    // Whitney umbrella
    surfer(z^2-x^2*y);

User manual for Singular version 4.4.1, 2025, generated by texi2html.